#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>
#include <kstdaction.h>

#include "richtexteditpart.h"

#include "richedit.h"
#include "richedit.moc"

RichEdit::RichEdit()
    : KParts::MainWindow( 0, "rich_edit" )
{
    (void) KStdAction::quit( qApp, SLOT( quit() ), actionCollection() );

    RichTextEditPart *part = new RichTextEditPart( this, "view" );
    setCentralWidget( part->widget() );

    setXMLFile( "richeditui.rc" );
    createGUI( part );
}

RichEdit::~RichEdit()
{

}

int main( int argc, char **argv )
{
    static KCmdLineOptions options[] = {
        { "+file", I18N_NOOP( "A filename" ), 0 },
        { 0, 0, 0 }
    };

    KAboutData about("richedit", I18N_NOOP("RichEditor"), "Pre-0.0",
		     I18N_NOOP("A Simple Rich Text Editor Part"),
                     KAboutData::License_Unknown,
		     I18N_NOOP("(c) 2002 Richard Moore"));
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;

    kdDebug() << "Creating main window" << endl;

    RichEdit *win = new RichEdit();
    win->resize( 600, 450 );
    app.setMainWidget( win );
    app.connect( &app, SIGNAL( lastWindowClosed() ), SLOT(quit()) );

    kdDebug() << "Processing arguments" << endl;
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    if ( args->count() ) {
      kdDebug() << "Got a filename, loading" << endl;
//      win->openURL( args->url(0) );
    }

    kdDebug() << "Showing main window" << endl;
    win->show();

    kdDebug() << "Starting event loop" << endl;
    return app.exec();
}

// Local Variables:
// c-basic-offset: 4
// End:
