// -*- c++ -*-

#ifndef RICHTEXTEDITPART_H
#define RICHTEXTEDITPART_H

#include <kparts/part.h>
#include <qtextedit.h>

class KToggleAction;

/**
 * KParts wrapper for QTextEdit.
 */
class RichTextEditPart : public KParts::ReadWritePart
{
    Q_OBJECT

public:
    RichTextEditPart( QWidget *parent, const char *name = 0 );
    virtual ~RichTextEditPart();

    virtual void setReadWrite( bool rw );

    QString filename() const { return m_file; }
    QTextEdit *widget() const { return editor; }

public slots:
    void open();
    void saveAs();

    void formatColor();

    void setAlignLeft( bool yes );
    void setAlignRight( bool yes );
    void setAlignCenter( bool yes );

protected:
    virtual bool openFile();
    virtual bool saveFile();

    void createActions();

private:
    QTextEdit *editor;
    KToggleAction *action_bold;
    KToggleAction *action_italic;
    KToggleAction *action_underline;

    KToggleAction *action_align_left;
    KToggleAction *action_align_right;
    KToggleAction *action_align_center;
};

#endif // RICHTEXTEDITPART_H


// Local Variables:
// c-basic-offset: 4
// End:
