#include <qfile.h>
#include <qmultilineedit.h>
#include <qtextstream.h>

#include <kaction.h>
#include <kdebug.h>
#include <klocale.h>
#include <kstdaction.h>

#include "srctexteditpart.h"
#include "srctexteditpart.moc"

SrcTextEditPart::SrcTextEditPart( QWidget *parent, const char *name )
  : KParts::ReadWritePart( parent, name ? name : "SrcTextEditPart" )
{
    editor = new QMultiLineEdit( parent, "source_editor" );
    editor->setReadOnly( false );
    setWidget( editor );

    //    (void) KStdAction::selectAll( editor, SLOT( selectAll() ), actionCollection() );
    (void) new KAction( i18n( "Select All" ), 0,
			editor, SLOT( selectAll() ),
			actionCollection(), "selectall" );

    setXMLFile( "srctexteditpartui.rc" );
    setReadWrite( true );
}


SrcTextEditPart::~SrcTextEditPart()
{
}

void SrcTextEditPart::setReadWrite( bool rw )
{
    editor->setReadOnly( !rw );
    if ( rw ) {
	// Handle modified
    }
    else {
	// Handle modified
    }

    ReadWritePart::setReadWrite( rw );
}

bool SrcTextEditPart::openFile()
{
    QFile file( filename() );
    if ( file.open( IO_ReadOnly ) ) {
	QTextStream ts( &file );

	QString s = ts.read();
	editor->setText( s );

	return true;
    }

    return false;
}

bool SrcTextEditPart::saveFile()
{
    if ( !isReadWrite() )
	return false;

    // Do save...
    kdDebug() << "SrcTextEditPart cannot save yet" << endl;
    return false;
}


// Local Variables:
// c-basic-offset: 4
// End:
