// -*- c++ -*-

#ifndef SRCTEXTEDITPART_H
#define SRCTEXTEDITPART_H

#include <kparts/part.h>
#include <qmultilineedit.h>

/**
 * KParts wrapper for QTextEdit.
 */
class SrcTextEditPart : public KParts::ReadWritePart
{
    Q_OBJECT

public:
    SrcTextEditPart( QWidget *parent, const char *name = 0 );
    virtual ~SrcTextEditPart();

    virtual void setReadWrite( bool rw );

    QString filename() const { return m_file; }
    QTextEdit *widget() const { return editor; }

protected:
    virtual bool openFile();
    virtual bool saveFile();

private:
    QMultiLineEdit *editor;
};

#endif // SRCTEXTEDITPART_H


// Local Variables:
// c-basic-offset: 4
// End:
